RDKit: ForceFields::MMFF::MMFFAngleCollection Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
ForceFields::MMFF::MMFFAngleCollection Class Reference

`#include <Params.h>`

## Public Member Functions
const MMFFAngle * | operator() (const unsigned int angleType, const unsigned int iAtomType, const unsigned int jAtomType, const unsigned int kAtomType)
| Looks up the parameters for a particular key and returns them. More...

## Static Public Member Functions
static MMFFAngleCollection * | getMMFFAngle (const std::string &mmffAngle="")
| gets a pointer to the singleton MMFFAngleCollection More...

## Detailed Description

Definition at line 745 of file MMFF/Params.h.

## Member Function Documentation

static MMFFAngleCollection* ForceFields::MMFF::MMFFAngleCollection::getMMFFAngle | ( | const std::string & | mmffAngle = `""` | ) |
| static

gets a pointer to the singleton MMFFAngleCollection

Parameters

  mmffAngle | (optional) a string with parameter data. See below for more information about this argument

Returns
  a pointer to the singleton MMFFAngleCollection

Notes:

- do not delete the pointer returned here
- if the singleton MMFFAngleCollection has already been instantiated and `mmffAngle` is empty, the singleton will be returned.
- if `mmffAngle` is empty and the singleton MMFFAngleCollection has not yet been instantiated, the default parameters (from Params.cpp) will be used.
- if `mmffAngle` is supplied, a new singleton will be instantiated. The current instantiation (if there is one) will be deleted.

const MMFFAngle* ForceFields::MMFF::MMFFAngleCollection::operator() | ( | const unsigned int | angleType,
|  | const unsigned int | iAtomType,
|  | const unsigned int | jAtomType,
|  | const unsigned int | kAtomType
| ) |  |
| inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFAngle object, NULL on failure.

Definition at line 769 of file MMFF/Params.h.

References ForceFields::MMFF::MMFFDefCollection::getMMFFDef().

The documentation for this class was generated from the following file:

- MMFF/Params.h